# $Id: e-smith-horde.spec,v 1.18 2011/12/23 20:47:29 snetram Exp $

Summary: e-smith specific Horde configuration and templates.
%define name e-smith-horde
Name: %{name}
%define version 4.0.0
%define release 12
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch1: e-smith-horde_3.3-upgrade.patch
Patch2: e-smith-horde_3.3.2-upgrade.patch
Patch3: e-smith-horde_cookie_domain.patch
Patch4: e-smith-horde_3.3.4-upgrade.patch
Patch5: e-smith-horde_3.3.5-upgrade.patch
Patch6: e-smith-horde_3.3.6.patch
Patch7: e-smith-horde_username.hook.patch
Patch8: e-smith-horde_3.3.6-3.3.10.patch
Patch9: e-smith-horde_verify_from_address.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.9.44, horde >= 2.0, mysql
Requires: e-smith-lib >= 1.15.1-16
Requires: enscript
Requires: php-domxml
Requires: php-gd
Requires: php-mbstring
Requires: wv
Requires: xlhtml
Requires: horde >= 3.2
Requires: php-pear
Requires: pear-date
Requires: pear-db
Requires: pear-file
Requires: pear-log
Requires: pear-mail
Requires: pear-mail_mime
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: dcb-e-smith-horde
Obsoletes: smeserver-horde-menuarray
Obsoletes: smeserver-trean < 0.1-8

%changelog
* Fri Dec 23 2011 Jonathan Martens <smeserver-conbtribs@snetram.nl> 4.0.0-12
- Remove original file that is also templated [SME: 6665]

* Sun Jan 2 2011 John H. Bennett III <bennettj@johnbennettservices.com> 4.0.0-11
- Add option to verify from address in webmail if setting up additional identities [SME:6464]

* Fri Nov 11 2010 John H. Bennett III <bennettj@johnbennettservices.com> 4.0.0-10      
- Upgrade horde templates to reflect changes from Horde 3.3.6 to 3.3.10 [SME: 6340]

* Sat Jan 23 2010 John H. Bennett III <bennettj@johnbennettservices.com> 4.0.0-9
- Patch to make sure username is always saved in lowercase to horde db's [SME: 5627]

* Sat Jan 23 2010 John H. Bennett III <bennettj@johnbennettservices.com> 4.0.0-8
- Upgrade horde templates to reflect changes in Horde 3.3.6 [SME: 5721]

* Tue Oct 13 2009 John H. Bennett III <bennettj@johnbennettservices.com> 4.0.0-7
- Upgrade horde templates to reflect changes in Horde 3.3.5 [SME: 5509]

* Sat Jun 20 2009 John H. Bennett III <bennettj@johnbennettservices.com> 4.0.0-6
- Upgrade to horde templates to reflect changes in Horde 3.3.4 [SME: 5372]

* Sun Dec 21 2008 John H. Bennett III <bennettj@johnbennettservices.com> 4.0.0-5
- Update to Spec file to obsolete smeserver-trean < 0.1-8  [SME: 4860]

* Sat Dec 20 2008 John H. Bennett III <bennettj@johnbennettservices.com> 4.0.0-4
- Patch to conf.php template to set a blank cookie domain so that FQDN and non-FQDN
- access to webmail will work. Remove klutz template from registry.php [SME: 4787]

* Sat Dec 06 2008 John H. Bennett III <bennettj@johnbennettservices.com> 4.0.0-3
- Upgrade to horde templates to reflect changes in Horde 3.3.2

* Sat Dec 06 2008 John H. Bennett III <bennettj@johnbennettservices.com> 4.0.0-2
- Upgrade to horde templates to reflect changes in Horde 3.3  [SME: 4831]

* Tue Oct 7 2008 Shad L. Lords <slords@mail.com> 4.0.0-1.sme
- Roll new stream to separate sme7/sme8 trees [SME: 4633]

* Tue Jun 24 2008 John H. Bennett III <bennettj@johnbennettservices.com> 3.2-2
- Upgrade patch for Horde 3.2.1 [SME: 4532]

* Mon Jun 2 2008 John H. Bennett III <bennettj@johnbennettservices.com> 3.2-1
- Initial production build
- Jump in package name to reflect new version of horde

%description
This package adds necessary templates and configuration items
so that Horde will work properly on SME Server

%prep
%setup
rm -f root/home/httpd/html/horde/smeserver/mysql_set_horde_password.sql

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
for i in post-install post-upgrade
do
    mkdir -p root/etc/e-smith/events/$i
done
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
